Bug 1465431 - plasmashell crash
plasmashell crash
Status: NEW
Product: Fedora
Classification: Fedora
Component: kde-print-manager (Show other bugs)
25
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 08:22 EDT by Frédéric Bron
Modified: 2017-06-28 11:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb /usr/bin/plasmashell backtrace (4.37 KB, application/octet-stream)
2017-06-28 10:49 EDT, Frédéric Bron
no flags Details

  None (edit)
Description Frédéric Bron 2017-06-27 08:22:46 EDT
Description of problem:

When I login from ssdm on Plasma KDE, I can see quickly my desktop background and then plasmashell crashes and I get only a black screen. The mouse works, Alt+F2 works to launch applications, Ctrl+Alt+Suppr works to log off.

Version-Release number of selected component (if applicable):
5.9.5 (but I tried 5.10.2 from Ed Greshko and got the same issue.

How reproducible:
always

Steps to Reproduce:
1. log in

Actual results:
black screen

Expected results:
normal desktop + menu bar

Additional info:

With a newly created user, I get the same problem.

Here is the content of .xsession-errors after the crash:
xset:  bad font path element (#2), possible causes are:
    Directory does not exist or has wrong permissions
    Directory missing fonts.dir
    Incorrect font server address or syntax
startkde: Starting up...

vmware-user: could not open /proc/fs/vmblock/dev
Already running
abrt-applet: Impossible d'afficher la notification :
GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name
org.freedesktop.Notifications was not provided b>
abrt-applet: Impossible d'afficher la notification :
GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name
org.freedesktop.Notifications was not provided b>
...
KCrash: Attempting to start /usr/bin/plasmashell from kdeinit
KCrash: Application 'plasmashell' crashing...
KCrash: Attempting to start /usr/libexec/drkonqi from kdeinit

setenforce 0 did not help.

And this is what I see if I boot in level 3 and run startx from the terminal:

xauth: file /home/fred/.serverauth.1393 does not exist

X.Org X Server 1.19.3
Release Date: 2017-03-15
...
xf86EnableIOPorts: failed to set IOPL for I/O (Operation not permitted)
  xset: bad font path element (#2), possible causes are:
    Directory does not exist or has wrong permissions
      Directory missing fonts.dir
        Incorrect font server address or syntax
          startkde: Starting up...
            dbus-update-activation-environment: warning: error sending
to systemd: org.freedesktop.DBus.Error.Spawn.ChildExited: Process
org.freedesktop.systemd1 exited with status 1
vmware-user: could not open /proc
.KCrash: Attempting to start /usr/bin/kdeinit5 from
kdeinitsock_file=/run/user/1000/kdeinit5__0
Warning: conncect() failed: : No such file or directory
KCrash: Attempting to start /usr/bin/kdeinit5 directly
KCrash: Applicatino 'kdeinit5' crashing...
kdeinit5: Communication error with launcher. Exiting!
.KCrash: Attempting to start /usr/libexec/drkonqi from kdeinit
(II) Server terminated successfully (0). Closing log file.
Warning: connect() failed: : Connection refused
KCrash: Attempting to start /usr/libexec/drkonqi directly

When I start from F25 KDE live DVD, I have no issue.
Comment 1 Frédéric Bron 2017-06-28 10:49 EDT
Created attachment 1292666 [details]
gdb /usr/bin/plasmashell backtrace
Comment 2 Frédéric Bron 2017-06-28 10:50:20 EDT
dnf remove kde-print-manager-libs solved the issue.

Note You need to log in before you can comment on or make changes to this bug.